Package pygccxml :: Package utils :: Module fs_utils :: Class files_walker

# ClassType files_walker

source code

    base_files_iterator --+
                          |
                         files_walker

Instance Methods

__init__(self, directories, file_ext_filter=`'````'`, is_include_filter=True, is_recursive=True) | source code

__iter__(self) | source code

next(self) | source code

restart(self) | source code

Method Details

### __init__(self, directories, file_ext_filter=`'````'`, is_include_filter=True, is_recursive=True)
(Constructor)

source code

Overrides: base_files_iterator.__init__

### __iter__(self)

source code

Overrides: base_files_iterator.__iter__

### next(self)

source code

Overrides: base_files_iterator.next

### restart(self)

source code

Overrides: base_files_iterator.restart